From e3e24d749f3603d22627e223a1bcd3cd023aab3c Mon Sep 17 00:00:00 2001
From: zimbatm <zimbatm@zimbatm.com>
Date: Mon, 18 Jan 2021 18:27:37 +0100
Subject: [PATCH] ci: speed up on no-op

---
 .github/workflows/nix.yml | 2 +-
 ci.sh                     | 8 ++++++++
 2 files changed, 9 insertions(+), 1 deletion(-)
 create mode 100755 ci.sh

diff --git a/.github/workflows/nix.yml b/.github/workflows/nix.yml
index 80743eb..6572330 100644
--- a/.github/workflows/nix.yml
+++ b/.github/workflows/nix.yml
@@ -12,4 +12,4 @@ jobs:
         extraPullNames: nixpkgs-update
         name: nix-community
         signingKey: ${{ secrets.CACHIX_SIGNING_KEY }}
-    - run: nix-build
+    - run: ./ci.sh
diff --git a/ci.sh b/ci.sh
new file mode 100755
index 0000000..db64f69
--- /dev/null
+++ b/ci.sh
@@ -0,0 +1,8 @@
+#!/usr/bin/env bash
+# Run this command to reproduce CI
+set -euo pipefail
+
+cd "$(dirname "$0")"
+out=$(nix-build nix -A nix-build-uncached)
+
+"$out/bin/nix-build-uncached"